# ApplicationFramework
TKCAF
TFunction

# TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel Class Reference

`#include <TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel.hxx>`

## Public Member Functions

| TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel (const Standard_Integer &K1, const TDF_Label &K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Standard_Integer & | Key1 () const
TDF_Label & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey1
TDF_Label | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel | ( | const Standard_Integer & | K1,
|  | const TDF_Label & | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::Key1 | ( |  | ) | const

TDF_Label& TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::Next2 | ( |  | ) | const

## Field Documentation

Standard_Integer TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::myKey1 `[private]`

TDF_Label TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::myKey2 `[private]`

TCollection_MapNodePtr TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel::myNext2 `[private]`

The documentation for this class was generated from the following file:

- TFunction_DoubleMapNodeOfDoubleMapOfIntegerLabel.hxx